const { SlashCommandBuilder, EmbedBuilder } = require("discord.js");
const { __glob } = require("../modules/global-variables");
const subplayer = require(__glob.SUBPLAYER);


module.exports = {

    data: new SlashCommandBuilder()
    .setName("play")
    .setDescription("Permet de lire des titres comme des playlists depuis Youtube / SoundCloud / Vimeo !")
    .addStringOption(option => option.setName("nom_ou_lien").setDescription("Lien ou nom du titre ou de la playlist").setRequired(true)),

    async execute(client, interaction) {

        // CHECK MEMBER IF IN VOICE CHANNEL

        if(!interaction.member.voice.channel) return interaction.reply({content:"Vous devez rejoindre un salon vocal pour lire un(e) titre / playlist !", ephemeral: true})

        //CHECK OF PLAYER

        subplayer.play(client, interaction)

    }

    

}